smlispget


(smlispget  feature  ...)

The (smlispget ...) function uses variable arguments - a general summary on all argument combination is given with (smlispget "?") or (smlispget "help").
Here is the complete list of all feature options, in alphabetic order :

Feature (as String)

Input Arguments

Return / Output

Example

AdjacentFeatures

STR    feature name or selected face (to get selected face see option "SelectEntities")

LIST of STR, names of features that are adjacent to input feature, or NIL

(SmLispGet "AdjacentFeatures" "Flange_1")
if you preselected a face, the last argument can be omitted)

AssumeSheetMetal

ENAME  entity to determine if it is sheet metal part
REAL   maximal overall dimension size for unfolded part. Pass 1.0 if there are no dimensions or if SmUnfold failed
INT    number of warnings in SmUnfold command. Pass 0 if SmUnfold failed

STR, "SheetMetal", "NotSheetMetal",  "PoorSheetMetal", or NIL

(SmLispGet "AssumeSheetMetal" (ssname (ssget) 0) 100.0 1)

BendAngle

STR    bend feature name

REAL, bend angle value, or NIL

(SmLispGet "BendAngle" "Bend_1")

BendLineExtent

<none>

REAL, default bend line extent value, or NIL

(SmLispGet "BendLineExtentType")

BendLineExtentType

<none>

STR, default bend line extent type: thickness ratio, absolute value, or NIL

(SmLispGet "BendLineExtentType")

BendRadius

STR    bend feature name

REAL, bend radius value, or NIL

(SmLispGet "BendRadius" "Bend_1")

BendTable

<none>

STR, relative path to bend table, or NIL

(SmLispGet "BendTable")

BodyName

ENAME   getting the body name using entity

STR, body name, or NIL

(SmLispGet "BodyName" (ssname(ssget "_:V") 0))

CheckSheetMetalLicense

<none>

T, if sheet metal license is available, or NIL

(SmLispGet "CheckSheetMetalLicense")

CommonPoint

STR    first name of marked edge
STR    second name of marked edge

POINT, 3d point of coordinates of common vertex of edges defined by markers, or NIL

(SmLispGet "CommonPoint" "Marker_1" "Marker_2")

DefaultBendRadius

<none>

REAL, default bend radius value, or NIL

(SmLispGet "DefaultBendRadius")

DefaultBendRadiusType

<none>

STR, default bend radius type: thickness ratio, absolute value, or NIL

(SmLispGet "DefaultBendRadiusType")

DefaultBendReliefWidth

<none>

REAL, default bend relief width value, or NIL

(SmLispGet "DefaultBendReliefWidth")

DefaultBendReliefWidthType

<none>

STR, default bend relief width type: thickness ratio, absolute value, or NIL

(SmLispGet "DefaultBendReliefWidthType")

DefaultFlangeSplitGap

<none>

REAL, default flange split gap value, or NIL

(SmLispGet "DefaultFlangeSplitGap")

DefaultFlangeSplitGapType

<none>

STR, default flange split gap type: thickness ratio, absolute value, or NIL

(SmLispGet "DefaultFlangeSplitGapType")

DefaultJunctionGap

<none>

REAL, default junction gap value, or NIL

(SmLispGet "DefaultJunctionGap")

DefaultJunctionGapType

<none>

STR, default junction gap type: thickness ratio, absolute value, or NIL

(SmLispGet "DefaultJunctionGapType")

DefaultKFactor

<none>

REAL, default thickness ratio of the neutral surface when bending, 0 (inner radius) to 1 (outer radius), or NIL

(SmLispGet "DefaultKFactor")

DefaultReliefExtension

<none>

REAL, default relief extension value, or NIL

(SmLispGet "DefaultReliefExtension")

DefaultReliefExtensionType

<none>

STR, default relief extension type: thickness ratio, absolute value, or NIL

(SmLispGet "DefaultReliefExtensionType")

EntitiesByFeature

STR    feature name

LIST of ENAMES, list of entities related with feature, or NIL

(SmLispGet "EntitiesByFeature" "Flange_1")

Features

<none>

LIST of STR, names of features, or NIL

(SmLispGet "Features")

FeaturesByEntity

ENAME    the entity to query

LIST of STR, names of features on the entity, or NIL

(SmLispGet "FeaturesByEntity" (ssname(ssget "_:V") 0))

FeaturesBySubEntity

PICKSET    the subentity to query

LIST of STR, names of features using subentity, or NIL

(SmLispGet "FeaturesBySubEntity" (ssget "_:V"))

FeatureType

STR    feature name

STR, feature type, or NIL

(SmLispGet "FeatureType" "Flange_1")

HardEdges

STR    side of the first flange (top or bottom)
STR    first flange name
STR    second flange name

STR, selected found hard edges, or NIL

(SmLispGet "HardEdges" "Top or Bottom" "Flange_1" "Flange_2")

HasEntityFeatures

ENAME  the entity to query

T if entity has features, else NIL

(SmLispGet "HasEntityFeatures" (ssname (ssget) 0))
if you preselected entity, the argument can be omitted)

HasSheetMetalContext

<none>

T if sheet metal context exists, else NIL

(SmLispGet "HasSheetMetalContext")

Help or ?

optional :
STR    getting help for all or one option

options help

(SmLispGet "Help")
(SmLispGet "Help" "BodyName")
(SmLispGet "?")
(SmLispGet "?" "BodyName")

IsEdgeConvex

selected hard edges   see "HardEdges"

T if edge convex, else NIL

(SmLispGet "IsEdgeConvex")

IsFeatureValid

STR    feature name

STR, "T" if feature exists and is valid; "F" if feature exists and is not valid. NIL in other cases

(SmLispGet "IsFeatureValid" "Flange_1")

SelectEntities

optional :
STR   side of the feature (top or bottom for flanges and lofted bends, top or thickness or bottom for forms, internal or external for bends and wrong bends, empty for other features
mandatory :
STR   feature name

STR, selected face of entity, or NIL

(SmLispGet "SelectEntities" "Top" "Flange_1")
(SmLispGet "SelectEntities" "Thickness" "Form_1")
(SmLispGet "SelectEntities" "External" "Bend_1")
(SmLispGet "SelectEntities" "Junction_1")

Thickness

<none>

REAL, thickness of sheet metal body, or NIL

(SmLispGet "Thickness")



©  Bricsys NV. All rights reserved.